Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224671 - x86_64 - Fix FS/GS registers for VT execution
Summary: x86_64 - Fix FS/GS registers for VT execution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Martin Jenner
URL: http://lkml.org/lkml/diff/2007/1/25/3...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 22:35 UTC by Zachary Amsden
Modified: 2007-11-30 22:07 UTC (History)
7 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:22:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to fix the slow boot (deleted)
2007-01-26 22:37 UTC, Zachary Amsden
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Internal Links: 320111

Description Zachary Amsden 2007-01-26 22:35:45 UTC
Description of problem:  64-bit kernels boot extremely slowly on Intel VT hardware.

Version-Release number of selected component (if applicable):


How reproducible:  100%


Steps to Reproduce:
1.  Boot using hardware virtualization (Xen / VMware)
2.  Go get coffee.
3.  Kernel booting is extremely slow
  
Actual results:

Kernel booting is extremely slow.

Expected results:

Kernel booting is extremely fast.

Additional info:

This upstream patch fixes the problem.

http://lkml.org/lkml/2007/1/25/323

Comment 1 Zachary Amsden 2007-01-26 22:37:59 UTC
Created attachment 146725 [details]
Patch to fix the slow boot

Comment 3 Zachary Amsden 2007-02-23 21:40:13 UTC
Patch has been committed upstream - can it be backported to RHEL5?

commit ffb6017563aa15f9a8cff9a30b861d42c2695894
Author: Zachary Amsden <zach@vmware.com>
Date:   Tue Feb 13 13:26:24 2007 +0100

    [PATCH] x86-64: x86_64 - Fix FS/GS registers for VT execution
    
    Initialize FS and GS to __KERNEL_DS as well.  The actual value of them is not
    important, but it is important to reload them in protected mode.  At this time,
    they still retain the real mode values from initial boot.  VT disallows
    execution of code under such conditions, which means hardware virtualization
    can not be used to boot the kernel on Intel platforms, making the boot time
    painfully slow.
    
    This requires moving the GS load before the load of GS_BASE, so just move
    all the segments loads there to keep them together in the code.
    
    Signed-off-by: Zachary Amsden <zach@vmware.com>
    Signed-off-by: Andi Kleen <ak@suse.de>

Comment 4 Andrius Benokraitis 2007-02-23 21:42:52 UTC
Zach, I have added this to the RHEL 5.1 list for prioritization with our Xen team.

Comment 5 RHEL Product and Program Management 2007-06-14 18:26:11 UTC
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.

Comment 6 Don Zickus 2007-06-27 16:00:05 UTC
in 2.6.18-32.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 8 Mike Gahagan 2007-09-12 18:59:07 UTC
confirmed the fix is in the -45 kernel.


Comment 10 errata-xmlrpc 2007-11-07 19:22:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.